#ifndef _snes_rom_header_h
#define _snes_rom_header_h

struct snes_rom_header {
	unsigned char title[22];
	unsigned char rom_makeup;
	unsigned char rom_type;
	unsigned char rom_size;
	unsigned char sram_size;
	unsigned char country;
	unsigned char license;
	unsigned char game_version;
	unsigned short inverse_checksum;
	unsigned short checksum;
	unsigned short reset_vector;
};

int find_and_read_header_from_file(FILE *fptr, struct snes_rom_header *header);
int test_checksums(struct snes_rom_header *header);
int read_header_from_file(FILE *fptr, struct snes_rom_header *header);
int get_score(struct snes_rom_header *header);
char *get_rom_type_string(unsigned char rom_type);
char *get_country_string(unsigned char country);
char *get_license_string(unsigned char license);

#endif //_snes_rom_header_h

